Bug 97855 - Oops in sock_sendmsg killed X
Oops in sock_sendmsg killed X
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-23 06:58 EDT by Joe Orton
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-06-23 06:58:09 EDT
Description of problem:
Kernel oops killed X

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-18.9.i686.rpm

How reproducible:
No idea.

kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000078
kernel:  printing eip:
kernel: c0148e2c
kernel: *pde = 1b412067
kernel: *pte = 00000000
kernel: Oops: 0002
kernel: nls_iso8859-1 es1371 gameport ac97_codec soundcore ide-cd radeon agpgart
parport_pc lp parport nfs\d iptable_filter ip_tables autofs nfs lockd sunrpc
natsemi e
kernel: CPU:    1
kernel: EIP:    0060:[<c0148e2c>]    Not tainted
kernel: EFLAGS: 00013006
kernel:
kernel: EIP is at rmqueue [kernel] 0x6c (2.4.20-18.9smp)
kernel: eax: 00000074   ebx: c0342700   ecx: c1481158   edx: 00000200
kernel: esi: 00000000   edi: c0343850   ebp: c0342680   esp: dbe7be70
kernel: ds: 0068   es: 0068   ss: 0068
kernel: Process X (pid: 1287, stackpage=dbe7b000)
kernel: Stack: 00000000 dbe7bed8 dbe7be94 d348b4a4 c0206bf8 00003212 00000000
c0342680
kernel:        c0344b84 000001ff 000001f0 00000000 c01492b5 00000000 db1f3c80
db1f3c80
kernel:        c020acd6 00000020 d4f99680 d4f99680 00000001 c0344b80 00000000
dbe81c00
kernel: Call Trace:   [<c0206bf8>] sock_sendmsg [kernel] 0x78 (0xdbe7be80))
kernel: [<c01492b5>] __alloc_pages [kernel] 0x95 (0xdbe7bea0))
kernel: [<c020acd6>] __kfree_skb [kernel] 0x106 (0xdbe7beb0))
gconfd (jorton-1377): Received signal 15, shutting down cleanly
kernel: [<c014955c>] __get_free_pages [kernel] 0x1c (0xdbe7bed8))
kernel: [<c0165671>] __pollwait [kernel] 0x41 (0xdbe7bedc))
kernel: [<c022e806>] tcp_poll [kernel] 0x36 (0xdbe7bef0))
kernel: [<c020713c>] sock_poll [kernel] 0x2c (0xdbe7bf10))
kernel: [<c0165a27>] do_select [kernel] 0x247 (0xdbe7bf24))
gdm(pam_unix)[1286]: session closed for user jorton
kernel: [<c0165dae>] sys_select [kernel] 0x34e (0xdbe7bf60))
kernel: [<c01098cf>] system_call [kernel] 0x33 (0xdbe7bfc0))
kernel:
kernel:
kernel: Code: 89 50 04 89 02 c7 41 04 00 00 00 00 c7 01 00 00 00 00 ff 0b
Comment 1 Bugzilla owner 2004-09-30 11:41:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.